## fonts-smc-anjalioldlipi 7.0

=== Makefile ===
#!/usr/bin/make -f

fontpath=/usr/share/fonts/truetype/malayalam
fonts=AnjaliOldLipi
feature=features/features.fea
PY=python2.7
buildscript=tools/build.py
version=7.0
default: compile
all: compile webfonts test
compile:
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t ttf -i $$font.sfd -f $(feature) -v $(version);\
	done;

webfonts:woff woff2
woff: compile
	@rm -rf *.woff
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff -i $$font.ttf;\
	done;
woff2: compile
	@rm -rf *.woff2
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff2 -i $$font.ttf;\
	done;

install: compile
	@for font in `echo ${fonts}`;do \
		install -D -m 0644 $${font}.otf ${DESTDIR}/${fontpath}/$${font}.ttf;\
	done;

test: compile
# Test the fonts
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $${font}.ttf --font-size 14 --margin 100 --line-space 1.5 --foreground=333333  --text-file tests/tests.txt --output-file tests/$${font}.pdf;\
	done;
clean:
	@rm -rf *.otf *.ttf *.woff *.woff2 *.sfd-*

=== debian/changelog ===
fonts-smc-anjalioldlipi (7.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Updated Build-dep: fonttools->python-fonttools. Thanks to Adrian Bunk.
      (Closes: #876835)
    + Updated Standards-Version to 4.1.1

 -- Kartik Mistry <kartik@debian.org>  Sat, 21 Oct 2017 21:08:06 +0530

fonts-smc-anjalioldlipi (7.0-1) unstable; urgency=medium

  * Splitting package fonts-smc to individual fonts

 -- Balasankar C <balasankarc@autistici.org>  Sun, 13 Nov 2016 20:20:54 +0530

=== debian/control ===
Source: fonts-smc-anjalioldlipi
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@autistici.org>
Build-Depends: debhelper (>= 9),
               fontforge (>= 1:20161005~dfsg),
               python-fonttools,
               libharfbuzz-bin,
               python-fontforge
Standards-Version: 4.1.1
Homepage: http://smc.org.in

Package: fonts-smc-anjalioldlipi
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: fonts-smc (<< 6.1~)
Replaces: fonts-smc (<< 6.1~)
Description: AnjaliOldLipi malayalam font
 This package provides AnjaliOldLipi font for Malayalam script
 which is primarily used in the state of Kerala. The font is
 developed by SMC community.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/anjalioldlipi-$1\.tar\.gz/g \
  https://gitlab.com/smc/anjalioldlipi/tags?sort=updated_desc .*archive\.tar\.gz\?ref=v?(\d\S+)

## fonts-smc-anjalioldlipi 7.1.1

=== Makefile ===
#!/usr/bin/make -f

fontpath=/usr/share/fonts/truetype/malayalam
fonts=AnjaliOldLipi-Regular
feature=features/features.fea
PY=python2.7
buildscript=tools/build.py
outdir=build
version=7.0
default: ttf
all: clean ttf webfonts test
.PHONY: ttf
ttf:
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t ttf -i $$font.sfd -f $(feature) -v $(version) -o $(outdir);\
	done;

webfonts:woff woff2
woff: ttf
	@rm -rf *.woff
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff -i $(outdir)/$$font.ttf;\
	done;
woff2: ttf
	@rm -rf *.woff2
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff2 -i $(outdir)/$$font.ttf;\
	done;

install: ttf
	@for font in `echo ${fonts}`;do \
		install -D -m 0644 $(outdir)/$${font}.ttf ${DESTDIR}/${fontpath}/$${font}.ttf;\
	done;

ifeq ($(shell ls -l $(outdir)/*.ttf 2>/dev/null | wc -l),0)
test: ttf run-test
else
test: run-test
endif

run-test:
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $(outdir)/$${font}.ttf --font-size 14 --margin 100 --line-space 1.5 --foreground=333333  --text-file tests/tests.txt --output-file tests/$${font}.pdf;\
	done;
clean:
	@rm -rf *.otf *.ttf *.woff *.woff2 *.sfd-* tests/*.pdf $(outdir)

=== debian/changelog ===
fonts-smc-anjalioldlipi (7.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Balasankar C <balasankarc@debian.org>  Sat, 03 Nov 2018 08:54:23 +0530

fonts-smc-anjalioldlipi (7.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper comtaibility to 11
  * Bump Standards-Version to 4.2.1 (No changes)
  * Removed fix-makefile-errors.patch - fixed upstream

 -- Balasankar C <balasankarc@debian.org>  Sun, 23 Sep 2018 18:23:51 +0530

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
-Uploaders: Balasankar C <balasankarc@autistici.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Balasankar C <balasankarc@debian.org>
+Build-Depends: debhelper (>= 11),
                fontforge (>= 1:20161005~dfsg),
                python-fonttools,
                libharfbuzz-bin,
                python-fontforge
-Standards-Version: 4.1.1
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-anjalioldlipi.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-anjalioldlipi
+Standards-Version: 4.2.1
 Homepage: http://smc.org.in
 
 Package: fonts-smc-anjalioldlipi

=== debian/watch ===
version=4
opts=filenamemangles=s/.*Version(\d\S+).anjalioldlipi-Version(\d\S+)\.tar\.gz/anjalioldpipi-\2\.tar\.gz/ \
  https://gitlab.com/smc/fonts/anjalioldlipi/tags?sort=updated_desc .*anjalioldlipi-Version(\d\S+)\.tar\.gz

## fonts-smc-anjalioldlipi 7.1.2

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,10 @@
 fontpath=/usr/share/fonts/truetype/malayalam
 fonts=AnjaliOldLipi-Regular
 feature=features/features.fea
-PY=python2.7
+PY=python3
 buildscript=tools/build.py
 outdir=build
-version=7.0
+version=7.1
 default: ttf
 all: clean ttf webfonts test
 .PHONY: ttf

=== debian/changelog ===
fonts-smc-anjalioldlipi (7.1.2-2) unstable; urgency=medium

  * Bump Debhelper compatibility to 13
  * Bump Standards-Version to 4.5.0
  * Make Debian Fonts team the maintainers

 -- Balasankar C <balasankarc@debian.org>  Sun, 03 May 2020 10:32:02 +0530

fonts-smc-anjalioldlipi (7.1.2-1) unstable; urgency=medium

  * New upstream release (Closes: #943089)
  * Bump Debhelper compatibility to 12
  * Bump Standards-Version to 4.4.1
  * Install Appstream metadata file
  * Add upstream metadata file

 -- Balasankar C <balasankarc@debian.org>  Wed, 01 Jan 2020 15:59:26 +0530

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: fonts-smc-anjalioldlipi
 Section: fonts
 Priority: optional
-Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Balasankar C <balasankarc@debian.org>
-Build-Depends: debhelper (>= 11),
-               fontforge (>= 1:20161005~dfsg),
-               python-fonttools,
+Build-Depends: debhelper-compat (= 13),
+               fontforge-nox (>= 1:20161005~dfsg),
                libharfbuzz-bin,
-               python-fontforge
+               python3-fontforge,
+               python3-fonttools
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-anjalioldlipi.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-anjalioldlipi
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: http://smc.org.in
+Rules-Requires-Root: no
 
 Package: fonts-smc-anjalioldlipi
 Architecture: all

=== debian/watch ===
version=4
opts=filenamemangle=s/.*Version(\d\S+).anjalioldlipi-Version(\d\S+)\.tar\.gz/anjalioldlipi-\2\.tar\.gz/ \
  https://gitlab.com/smc/fonts/anjalioldlipi/tags?sort=updated_desc .*anjalioldlipi-Version(\d\S+)\.tar\.gz
